package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.dto.ActivityPlanRewardDto;
import com.yonge.cooleshow.biz.dal.entity.ActivityPlan;
import com.yonge.cooleshow.biz.dal.entity.ActivityPlanEvaluation;
import com.yonge.cooleshow.biz.dal.entity.ActivityPlanStandard;
import com.yonge.cooleshow.biz.dal.entity.ActivityReward;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Author: liweifan
 * @Data: 2022-08-04 10:19:49
 */
@ApiModel(value = "ActivityPlanVo对象", description = "活动计划表查询视图对象")
public class ActivityPlanVo extends ActivityPlan{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "活动计划-评测活动拓展")
	private ActivityPlanEvaluation planEvaluation;

	@ApiModelProperty(value = "活动计划-达标赠送活动拓展")
	private ActivityPlanStandard planStandard;

	@ApiModelProperty(value = "活动奖品集合")
	private List<ActivityPlanRewardDto> activityRewardList;

	@ApiModelProperty("参与人数")
	private Integer registrationNum;

	@ApiModelProperty("获奖人数")
	private Integer rewardNum;

	@ApiModelProperty("最后操作人")
	private String updateByName;

	public ActivityPlanEvaluation getPlanEvaluation() {
		return planEvaluation;
	}

	public void setPlanEvaluation(ActivityPlanEvaluation planEvaluation) {
		this.planEvaluation = planEvaluation;
	}

	public ActivityPlanStandard getPlanStandard() {
		return planStandard;
	}

	public void setPlanStandard(ActivityPlanStandard planStandard) {
		this.planStandard = planStandard;
	}

	public List<ActivityPlanRewardDto> getActivityRewardList() {
		return activityRewardList;
	}

	public void setActivityRewardList(List<ActivityPlanRewardDto> activityRewardList) {
		this.activityRewardList = activityRewardList;
	}

	public Integer getRegistrationNum() {
		return registrationNum;
	}

	public void setRegistrationNum(Integer registrationNum) {
		this.registrationNum = registrationNum;
	}

	public Integer getRewardNum() {
		return rewardNum;
	}

	public void setRewardNum(Integer rewardNum) {
		this.rewardNum = rewardNum;
	}

	public String getUpdateByName() {
		return updateByName;
	}

	public void setUpdateByName(String updateByName) {
		this.updateByName = updateByName;
	}


	public ActivityPlanVo registrationNum(Integer registrationNum) {
		this.registrationNum = registrationNum;
		return this;
	}

	public ActivityPlanVo rewardNum(Integer rewardNum) {
		this.rewardNum = rewardNum;
		return this;
	}
}